.TH ANETHACK 6 "7 December 2015"
.\" aNetHack 0.0.1  anethack.6	$ANH-Date: 1449616496 2015/12/08 23:14:56 $  $ANH-Branch: aNetHack-3.6.0 $:$ANH-Revision: 1.11 $
.SH NAME
anethack \- Exploring The Mazes of Menace
.SH SYNOPSIS
.na
.hy 0
.B anethack
[
.B \-d
.I directory
]
[
.B \-n
]
[
.B \-p
.I profession
]
[
.B \-r
.I race
]
[
.B \-[DX]
]
[
.B \-u
.I playername
]
[
.B \-dec
]
[
.B \-ibm
]
.PP
.B anethack
[
.B \-d
.I directory
]
.B \-s
[
.B \-v
]
[
.B \-p
.I profession
]
[
.B \-r
.I race
]
[
.I playernames
]
.ad
.hy 14
.\" Make sure path is not hyphenated below
.hw anethackdir
.SH DESCRIPTION
.PP
.I aNetHack
is a display oriented Dungeons & Dragons(tm) - like game.
The standard tty display and command structure resemble rogue.
.PP
Other, more graphical display options exist for most platforms.
.PP
To get started you really only need to know two commands.  The command
.B ?
will give you a list of the available commands (as well as other information)
and the command
.B /
will identify the things you see on the screen.
.PP
To win the game (as opposed to merely playing to beat other people's high
scores) you must locate the Amulet of Yendor which is somewhere below
the 20th level of the dungeon and get it out.
Few people achieve this; most never do.  Those who have go down
in history as heros among heroes - and then they find ways of making the
game even harder.  See the
.I Guidebook
section on Conduct if this game has gotten too easy for you.
.PP
When the game ends, whether by your dying, quitting, or escaping
from the caves,
.I aNetHack
will give you (a fragment of) the list of top scorers.
The scoring is based on many aspects of your behavior, but a rough estimate
is obtained by taking the amount of gold you've found in the cave plus four
times your (real) experience.
Precious stones may be worth a lot of gold when brought to the exit.
There is a 10% penalty for getting yourself killed.
.PP
The environment variable ANETHACKOPTIONS can be used to initialize many
run-time options.
The ? command provides a description of these options and syntax.
(The
.B \-dec
and
.B \-ibm
command line options are equivalent to the
.B decgraphics
and
.B ibmgraphics
run-time options described there,
and are provided purely for convenience on systems
supporting multiple types of terminals.)
.PP
Because the option list can be very long (particularly when specifying
graphics characters), options may also be included in a configuration
file.
The default is located in your home directory and
named .anethackrc on Unix systems.  On other systems, the default may be
different, usually aNetHack.cnf.  On DOS or Windows, the name is
defaults.nh, while on the Macintosh or BeOS, it is aNetHack Defaults.
The configuration file's location may be specified by setting ANETHACKOPTIONS
to a string consisting of an @ character followed by the filename.
.PP
The
.B \-u
.I playername
option supplies the answer to the question "Who are you?".
It overrides any name from the options or configuration file, USER, LOGNAME,
or getlogin(), which will otherwise be tried in order.
If none of these provides a useful name, the player will be asked for one.
Player names (in conjunction with uids) are used to identify save files,
so you can have several saved games under different names.
Conversely, you must use the appropriate player name to restore a saved game.
.PP
A
.I playername
suffix can be used to specify the profession, race, alignment and/or gender
of the character.  The full syntax of the playername that includes a
suffix is "name-ppp-rrr-aaa-ggg".  "ppp" are at least the first three letters
of the profession (this can also be specified using a separate 
.B \-p
.I profession
option).  "rrr" are at least the first three letters of the character's
race (this can also be specified using a separate 
.B \-r
.I race
option).  "aaa" are at last the first three letters of the character's
alignment, and "ggg" are at least the first three letters of the
character's gender.  Any of the parts of the suffix may be left out.
.PP
.B \-p
.I profession
can be used to determine the character profession, also known as the role.
You can specify either the male or female name for the character role, or
the first three characters of the role as an abbreviation.
.B "\-p \@"
has been retained to explicitly request that a random role be chosen.
It may need to be quoted with a backslash (\\@) if @
is the "kill" character (see "stty") for the terminal, in order
to prevent the current input line from being cleared.
.PP
Likewise,
.B \-r
.I race
can be used to explicitly request that a race be chosen.
.PP
Leaving out any of these characteristics will result in you being prompted
during the game startup for the information.
.PP
.PP
The
.B \-s
option alone will print out the list of your scores on the current version.
An immediately following
.B \-v
reports on all versions present in the score file.
The
.B \-s
may also be followed by arguments
.B \-p
and
.B \-r
to print the scores of particular roles and races only.
It may also be followed by one or more player names to print the scores of the
players mentioned, by 'all' to print out all scores, or by a number to print
that many top scores.
.PP
The
.B \-n
option suppresses printing of any news from the game administrator.
.PP
The
.B \-D
or
.B \-X
option will start the game in a special non-scoring discovery mode.
.B \-D
will, if the player is the game administrator, start in debugging (wizard)
mode instead.
.PP
The
.B \-d
option, which must be the first argument if it appears,
supplies a directory which is to serve as the playground.
It overrides the value from ANETHACKDIR, HACKDIR,
or the directory specified by the game administrator during compilation
(usually /usr/games/lib/anethackdir).
This option is usually only useful to the game administrator.
The playground must contain several auxiliary files such as help files,
the list of top scorers, and a subdirectory
.I save
where games are saved.
.SH AUTHORS
.PP
Jay Fenlason (+ Kenny Woodland, Mike Thome and Jon Payne) wrote the
original hack, very much like rogue (but full of bugs).
.PP
Andries Brouwer continuously deformed their sources into an entirely
different game.
.PP
Mike Stephenson has continued the perversion of sources, adding various
warped character classes and sadistic traps with the help of many strange
people who reside in that place between the worlds, the Usenet Zone.
A number of these miscreants are immortalized in the historical
roll of dishonor and various other places.
.PP
The resulting mess is now called aNetHack, to denote its
development by the Usenet.  Andries Brouwer has made this request for the
distinction, as he may eventually release a new version of his own.
.SH FILES
.PP
Run-time configuration options were discussed above and use a platform
specific name for a file in a platform specific location.  For Unix, the
name is '.anethackrc' in the user's home directory.

.br
All other files are in the playground directory,
normally /usr/games/lib/anethackdir.
If DLB was defined during the compile, the data files and special levels
will be inside a larger file, normally anhdat, instead of being separate
files.

.br
.DT
.ta \w'cmdhelp, opthelp, wizhelp\ \ \ 'u
anethack		The program itself.
.br
data, oracles, rumors	Data files used by aNetHack.
.br
quest.dat, bogusmon	More data files.
.br
engrave, epitaph, tribute	Still more data files.
.br
symbols	Data file holding sets of specifications
.br
	for how to display monsters, objects, and
.br
	map features.
.br
options	Data file containing a description of the
	build-time option settings.
.br
help, hh	Help data files.
.br
cmdhelp, opthelp, wizhelp	More help data files.
.br
*.lev	Predefined special levels.
.br
dungeon	Control file for special levels.
.br
history	A short history of aNetHack.
.br
license	Rules governing redistribution.
.br
record	The list of top scorers.
.br
logfile	An extended list of games played
.br
	(optional).
.br
xlogfile	A more detailed version of 'logfile'
.br
	(also optional).
.br
paniclog	Record of exceptional conditions
.br
	discovered during program execution.
.br
xlock.nn	Description of dungeon level 'nn' of
.br
	active game 'x' if there's a limit on the
.br
	number of simultaneously active games.
.br
UUcccccc.nn	Alternate form for dungeon level 'nn'
.br
	of active game by user 'UU' playing
.br
	character named 'cccccc' when there's no
.br
	limit on number of active games.
.br
perm	Lock file for xlock.0 or UUcccccc.0.
.br
bonesDD.nn	Descriptions of the ghost and belongings
.br
	of a deceased adventurer who met his
.br
	or her demise on level 'nn'.
.br
.\"following line should contain <space><tab>
 	
.br
save/	A subdirectory containing saved games.
.br
.\"following line should contain <space><tab>
 	
.br
sysconf	System-wide options.  Required if
.br
	program is built with 'SYSCF' option
.br
	enabled, ignored if not.
.br

The location of 'sysconf' is specified at build time and can't be changed
except by updating source file "config.h" and rebuilding the program.
.br

In a perfect world, 'paniclog' would remain empty.
.SH ENVIRONMENT
.DT
.ta \w'ANETHACKDIR or HACKDIR\ \ \ 'u
USER or LOGNAME	Your login name.
.br
HOME		Your home directory.
.br
SHELL		Your shell.
.br
TERM		The type of your terminal.
.br
HACKPAGER or PAGER	Replacement for default pager.
.br
MAIL	Mailbox file.
.br
MAILREADER	Replacement for default reader
.br
	(probably /bin/mail or /usr/ucb/mail).
.br
ANETHACKDIR or HACKDIR	Playground.
.br
ANETHACKOPTIONS	String predefining several aNetHack
.br
	options.
.br

If the same option is specified in both ANETHACKOPTIONS and .anethackrc,
the value assigned in ANETHACKOPTIONS takes precedence.
.br

SHOPTYPE and SPLEVTYPE can be used in debugging (wizard) mode.
.br
DEBUGFILES can be used if the program was built with 'DEBUG' enabled.
.SH "SEE ALSO"
.PP
dgn_comp(6), lev_comp(6), recover(6)
.SH BUGS
.PP
Probably infinite.


.PP
Dungeons & Dragons is a Trademark of Wizards of the Coast, Inc.
